export const detailColumns = [
	{
		title: '产品名称',
		dataIndex: 'productName',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '产品编码',
		dataIndex: 'productNumber',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '规格型号',
		dataIndex: 'specification',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '完工数量',
		dataIndex: 'finishAmount',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '入库数量',
		dataIndex: 'storeAmount',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '基本完工数量',
		dataIndex: 'basicFinishAmount',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '基本入库数量',
		dataIndex: 'basicStoreAmount',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '单位',
		dataIndex: 'unitName',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '基本单位',
		dataIndex: 'baseUnitName',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '包装规格',
		dataIndex: 'packageProportion',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	// {
	// 	title: '包装数量',
	// 	dataIndex: 'name',
	// 	width: 200,
	// 	resizable: true,
	// 	align: 'center',
	// 	ellipsis: true
	// },
	{
		title: '采集失败数',
		dataIndex: 'collectFailAmount',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '采集成功率',
		dataIndex: 'collectSuccessRate',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	// {
	// 	title: '生产日期',
	// 	dataIndex: 'workStartTime',
	// 	width: 200,
	// 	resizable: true,
	// 	align: 'center',
	// 	ellipsis: true
	// },
	{
		title: '开工时间',
		dataIndex: 'workStartTime',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '完工时间',
		dataIndex: 'workFinishTime',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},

	{
		title: '操作',
		dataIndex: 'action',
		align: 'center',
		width: 150,
		fixed: 'right'
	}
]

export const modalColumns = [
	{
		title: '条码',
		dataIndex: 'barcode',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '上级码',
		dataIndex: 'parentBarcode',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '条码类型',
		dataIndex: 'barcodeType',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '编码',
		dataIndex: 'productNumber',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '名称',
		dataIndex: 'productName',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '数量',
		dataIndex: 'amount',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '单位',
		dataIndex: 'unitName',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '基本数量',
		dataIndex: 'basicAmount',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '基本单位',
		dataIndex: 'baseUnitName',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '子码数',
		dataIndex: 'subAmount',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '批次',
		dataIndex: 'specification',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	/*{
		title: '打码时间',
		dataIndex: 'subAmount',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},*/
	{
		title: '扫描时间',
		dataIndex: 'scanTime',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
	{
		title: '扫描人',
		dataIndex: 'createUserName',
		width: 200,
		resizable: true,
		align: 'center',
		ellipsis: true
	},
]
