import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/produce/barcode/history/` + url, ...arg)

/**
 * 产品条码历史记录Api接口管理器
 *
 * @author Luck
 * @date  2024/09/09 19:41
 **/
export default {
	// 获取产品条码历史记录分页
	produceBarcodeHistoryPage(data) {
		return request('page', data, 'get')
	},
	// 获取产品条码历史记录详情
	produceBarcodeHistoryDetail(data) {
		return request('detail', data, 'get')
	}
}
