import tool from '@/utils/tool'

export const searchFields = [
	{ name: 'billNumber', label: '单号', component: 'a-input', props: { placeholder: '请输入单号' } },
	{ name: 'billNumber', label: '单号', component: 'a-input', props: { placeholder: '请输入单号' } },
	{
		label: '类型：',
		name: 'type',
		component: 'a-select',
		props: {
			placeholder: '请选择类型',
			allowClear: true,
			options: tool.dictList('INBOUND_TYPE')
		}
	},
	{
		label: '仓库：',
		name: 'storeId',
		component: 'a-tree-select',
		props: {
			placeholder: '请选择仓库',
			treeData: [],
			fieldNames: {
				children: 'children',
				label: 'name',
				value: 'id'
			}
		}
	},
	{ name: 'customerName', label: '供货单位名称', component: 'a-input', props: { placeholder: '请输入供货单位名称' } },
	{ name: 'customerNumber', label: '供货单位编码', component: 'a-input', props: { placeholder: '请输入供货单位编码' } }
]
