export const tableColumns = [
	{
		title: '单号',
		dataIndex: 'billNumber',
		align: 'center',
		resizable: true,
		width: 200,
		ellipsis: true
	},
	{
		title: '业务日期',
		dataIndex: 'businessDate',
		align: 'center',
		sorter: true,
		sortDirections: ['descend', 'ascend'],
		resizable: true,
		width: 200,
		ellipsis: true
	},
	{
		title: '类型',
		dataIndex: 'type',
		align: 'center',
		resizable: true,
		width: 100,
		ellipsis: true
	},
	{
		title: '客户名称',
		dataIndex: 'customerName',
		align: 'center',
		resizable: true,
		width: 200,
		ellipsis: true
	},
	{
		title: '客户编码',
		dataIndex: 'customerNumber',
		align: 'center',
		resizable: true,
		width: 200,
		ellipsis: true
	},
	{
		title: '仓库',
		dataIndex: 'storeName',
		align: 'center',
		resizable: true,
		width: 200,
		ellipsis: true
	},
	{
		title: '仓库编码',
		dataIndex: 'storeNumber',
		align: 'center',
		resizable: true,
		width: 250,
		ellipsis: true
	},
	{
		title: '车牌号',
		dataIndex: 'carNumber',
		align: 'center',
		resizable: true,
		width: 200,
		ellipsis: true
	},
	{
		title: '备注',
		dataIndex: 'remarks',
		align: 'center',
		resizable: true,
		width: 200,
		ellipsis: true
	},

	{
		title: '创建人',
		dataIndex: 'createUserName',
		align: 'center',
		resizable: true,
		width: 200,
		ellipsis: true
	},
	{
		title: '创建时间',
		dataIndex: 'createTime',
		sorter: true,
		sortDirections: ['descend', 'ascend'],
		align: 'center',
		resizable: true,
		width: 200,
		ellipsis: true
	}
]
